Subject: Re: Maize mutant stock center
From: [email-masked] (P.A. Lopez-Valencia)
Date: 7 May 1994 13:28:18 -0400
Newsgroups: bionet.plants

I want to point out that the world Genome Bank for maize is based in Mexico,
the CYMMIT, an international agriculture research institution member of the
ICGIAR. Other institutions are IRRI in the Philippines, CIAT in Colombia
IP in Peru, as well as other 9 institutions in Africa, Asia and Oceania.

Pedro